package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 霍兰德测评步骤对象 b_busi_holland_steps
 * 
 * @author mingxue
 * @date 2021-08-15
 */
public class BBusiHollandSteps extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 序号 */
    @Excel(name = "序号")
    private Long no;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setNo(Long no) {
        this.no = no;
    }

    public Long getNo() {
        return no;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("no", getNo())
            .append("title", getTitle()).append("status", getStatus()).toString();
    }
}
